Name:           INAV-Server
Version:        0.3.6
Release:        1.art
Summary:        NAV is a project that displays connection information in real time.

Group:          Applications/System
License:        GPLv3
URL:            http://inav.scaparra.com/index.rhtml
Source0:        %{name}-%{version}.tar.gz
#TODO
#Source1:	inavd.sysconfig
#Source2:	inavd.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{_includedir}/pcap.h

%description
The INAV server, inavd, is the workhorse of the INAV system. It provides data collection and processing of tens of thousands of connection information in real time. The server is multithreaded and utilizes the pcap library for sniffing of raw packets from the network.

The INAV server passively analyzes traffic and produce highly valuable informationin in real time. 

%prep
%setup -q

%build
cd server
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 0755 server/inavd $RPM_BUILD_ROOT%{_sbindir}/inavd 


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sbindir}/inavd


%changelog
* Fri Dec 5 2008 Scott R. Shinn <scott@atomicrocketturtle.com.> - 0.3.6-1
- Initial release

